	local function get_color()
		if cbic.Options:GetValue("cbic_use_chat_colour") then
			if cbic.Options:GetValue("cbic_which_chat_colour") == 6 then
				return tweak_data.system_chat_color * 0.7
			elseif cbic.Options:GetValue("cbic_which_chat_colour") == 7 then
				return tweak_data.screen_colors.title * 0.7
			elseif cbic.Options:GetValue("cbic_which_chat_colour") == 8 then
				return tweak_data.screen_colors.text * 0.7
			end
            if tweak_data.chat_colors[cbic.Options:GetValue("cbic_which_chat_colour")] then
			    return tweak_data.chat_colors[cbic.Options:GetValue("cbic_which_chat_colour")] * 0.7
            else
                return Color(0.05,0.8,0.2) * 0.7
            end
		else
			return cbic.Options:GetValue("cbic_colour") * 0.7
		end
	end
	local _image_color = get_color()
Hooks:PostHook(ContractBrokerHeistItem, "init", "CBIC_change_color", function(self, parent_panel, job_data, idx)
	if self._image then
		self._image:set_color(_image_color)
		self._image:set_alpha(0.7)
		self._image:set_layer(5)
	elseif self._image_panel then
		--self._image_panel:set_color(_image_color)
		for k, child in pairs(self._image_panel:children()) do
			if child:layer() == 1 then
				child:set_color(_image_color)
			end
		end
	end
end)

Hooks:PostHook(ContractBrokerHeistItem, "deselect", "update_color_images", function(self)
	if self._image then
		self._image:set_color(_image_color)
	end
end)
